# ArrayClass

@ JvmName (name = "createArrayClass")
fun ArrayClass (type: Class <*>): Class < Array >

Create a Class for an array of the specified type.

For example: `ArrayClass(String::class.java)` will return `java.lang.String[]`.

#### Return

Class<Array>

#### Parameters

type

the type of the array elements.

fun ArrayClass (type: KClass <*>): Class < Array >

Create a KClass.java for an array of the specified type.

For example: `ArrayClass(String::class)` will return `java.lang.String[]`.

#### Return

Class<Array>

#### Parameters

type

the type of the array elements.

@ JvmOverloads
@ JvmName (name = "createArrayClass")
fun ArrayClass (type: String , loader: ClassLoader ? = null): Class < Array >

Create a Class for an array of the specified type.

For example: `ArrayClass("java.lang.String")` will return `java.lang.String[]`.

#### Return

Class<Array>

#### Parameters

type

the class name of the array elements.

loader

the ClassLoader to load the class.